#import <Cocoa/Cocoa.h>
#import "main.h"


int main() {
	// https://stackoverflow.com/questions/30269329/creating-window-application-in-pure-c-on-mac-osx
	@autoreleasepool {
		[NSApplication sharedApplication];
		[NSApp setActivationPolicy:NSApplicationActivationPolicyRegular];
		id applicationName = [[NSProcessInfo processInfo] processName];
		id window = [
            [NSWindow alloc]
            initWithContentRect: NSMakeRect(WINDOW_X, WINDOW_Y, WINDOW_WIDTH, WINDOW_HEIGHT)
            styleMask:
                NSWindowStyleMaskTitled
                | NSWindowStyleMaskClosable
                | NSWindowStyleMaskMiniaturizable
                | NSWindowStyleMaskResizable
            backing:NSBackingStoreBuffered
            defer:NO
        ];
		[window cascadeTopLeftFromPoint:NSMakePoint(20, 20)];
		[window setTitle:applicationName];
		[window makeKeyAndOrderFront:nil];
		[NSApp activateIgnoringOtherApps:YES];
		[NSApp run];
	}
	return 0;
}
